<template>
	<v-card elevation="20">
		<v-card-title>Datos escolares</v-card-title>
		<v-form>
			<v-card-text>
				<!-- fila para datos de la carrera -->
				<v-row>
					<v-col cols="12" sm="6">
						<v-text-field
							label="Institución"
							prepend-icon="fas fa-school"
							readonly
							outlined
							v-model="scholarData.institute"
						/>
					</v-col>
					<v-col cols="12" sm="6">
						<v-text-field
							label="Carrera"
							prepend-icon="fas fa-school"
							readonly
							no-data-text="Seleccione antes una institución"
							outlined
							v-model="scholarData.career"
						/>
					</v-col>
				</v-row>
				<!-- fila para datos del semestre -->
				<v-row>
					<v-col cols="12" sm="6">
						<v-text-field
							label="Grado escolar actual"
							prepend-icon="fas fa-school"
							readonly
							type="number"
							outlined
							v-model="scholarData.semester"
						/>
					</v-col>
					<v-col cols="12" sm="6">
						<v-text-field
							label="Promedio general"
							prepend-icon="fas fa-school"
							type="number"
							readonly
							outlined
							v-model="scholarData.schoolGrade"
						/>
					</v-col>
				</v-row>
			</v-card-text>
		</v-form>
	</v-card>
</template>

<script>
import EventBus from "../../bus";

export default {
	name: "StudentScholarData",
	data: () => ({
		scholarData: {
			institute: "",
			career: "",
			semester: "",
			schoolGrade: ""
		}
	}),
	mounted() {
		EventBus.$on("sendScholarData", data => {
			this.scholarData.institute = data.institute;
			this.scholarData.career = data.career;
			this.scholarData.semester = data.semester;
			this.scholarData.schoolGrade = data.schoolGrade;
		});
	}
};
</script>